Subject: praying mantis

From: [email-masked] (Bea Roegge)
Date: 5 Mar 1995 19:21:44 -0500

Does anyone have experience with praying mantis insects in their garden? 
What plants do they like?  Where did you get the insects?  Or...

---

From: [email-masked] (Chris Morris)
Date: 8 Mar 1995 08:54:34 GMT

Bea,
  Praying mantis are sold all over the USA and probably are sold near you.
  We ship them all over the US.  They are very adaptable and will live 
primarily on caterpillers, cutworms and flies.  They will live on almost 
any garden plants.  They lay one or more egg cases in the fall which you 
may notice in the winter when the leaves are off.  The cases look like a 
small roundish piece of light tan styrofoam.
  E Mail me for further info.
   
   Chris Morris